// Basic Lights

//edits done so that, while it's not 'brighter', it has a much farther reach. which is pretty good.

datablock fxLightData(ReachingRedLight)
{
	uiName = "Reaching Red Light";

	LightOn = true;
	radius = 40;
	brightness = 7;
	color = "1 0 0 1";

	flareOn = true;
	flarebitmap = "base/lighting/corona";
	NearSize	= 2;
	FarSize = 1;
};

datablock fxLightData(ReachingOrangeLight : ReachingRedLight)
{
	uiName = "Reaching Orange Light";
	color = "1 0.5 0 1";
};
datablock fxLightData(ReachingYellowLight : ReachingRedLight)
{
	uiName = "Reaching Yellow Light";
	color = "1 1 0 1";
};
datablock fxLightData(ReachingGreenLight : ReachingRedLight)
{
	uiName = "Reaching Green Light";
	color = "0 1 0 1";
};
datablock fxLightData(ReachingCyanLight : ReachingRedLight)
{
	uiName = "Reaching Cyan Light";
	color = "0 1 1 1";
};
datablock fxLightData(ReachingBlueLight : ReachingRedLight)
{	
	uiName = "Reaching Blue Light";
	color = "0 0 1 1";
};
datablock fxLightData(ReachingPurpleLight : ReachingRedLight)
{	
	uiName = "Reaching Purple Light";
	color = "0.5 0 1 1";
};

datablock fxLightData(ReachingWhiteLight : ReachingRedLight)
{	
	uiName = "Reaching White Light";
	color = "1 1 1 1";
};

datablock fxLightData(ReachingGreyLight : ReachingRedLight)
{	
	uiName = "Reaching Grey Light";
	color = "1 1 1 1";
	brightness = 5;
};

datablock fxLightData(ReachingTanLight : ReachingRedLight)
{	
	uiName = "Reaching Tan Light";
	color = "1 0.8 0.5 1";
};

datablock fxLightData(ReachingBrightLight)
{
	uiName = "Reaching Bright";

	LightOn = true;
	radius = 40;
	brightness = 15;
	color = "0.8 0.9 1 1";

	FlareOn			= true;
	FlareTP			= true;
	Flarebitmap		= "base/lighting/flare";
	FlareColor		= "1 1 1";
	ConstantSizeOn	= false;
	ConstantSize	= 1;
	NearSize		= 1.8;
	FarSize			= 0.9;
	NearDistance	= 10.0;
	FarDistance		= 30.0;
	FadeTime		= 0.1;
	BlendMode		= 0;

	AnimColor		= false;
	AnimBrightness	= false;
	AnimOffsets		= false;
	AnimRotation	= false;
	LinkFlare		= true;
	LinkFlareSize	= false;
	MinColor		= "0 0 0";
	MaxColor		= "1 1 1";
	MinBrightness	= 0.0;
	MaxBrightness	= 1.0;
	MinRadius		= 0.1;
	MaxRadius		= 20;
	StartOffset		= "-5 0 0";
	EndOffset		= "5 0 0";
	MinRotation		= 0;
	MaxRotation		= 359;

	SingleColorKeys	= true;
	RedKeys			= "AZA";
	GreenKeys		= "AZA";
	BlueKeys		= "AZA";
	
	BrightnessKeys	= "AZA";
	RadiusKeys		= "AZA";
	OffsetKeys		= "AZA";
	RotationKeys	= "AZA";

	ColorTime		= 5.0;
	BrightnessTime	= 5.0;
	RadiusTime		= 5.0;
	OffsetTime		= 5.0;
	RotationTime	= 5.0;

	LerpColor		= true;
	LerpBrightness	= true;
	LerpRadius		= true;
	LerpOffset		= true;
	LerpRotation	= true;
};
